Skip to main content
GET
/
api
/
v1
/
customer-payments
La Pyme SDK
import { Lapyme } from "lapyme";

const lapyme = new Lapyme({
  bearerAuth: process.env["LAPYME_API_KEY"] ?? "",
});

const payments = await lapyme.customerPayments.listCustomerPayments({
  limit: 20,
  dateFrom: new Date("2026-03-01"),
  dateTo: new Date("2026-03-31"),
});
{
  "request_id": "<string>",
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "payment_date": "<string>",
      "amount": 123,
      "balance": 123,
      "formatted_payment_number": "<string>",
      "payment_method": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "icon": "<string>"
      },
      "payment_method_count": 123,
      "related_entity": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "number": "<string>",
        "sale_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      },
      "created_by": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>"
      },
      "created_at": "2023-11-07T05:31:56Z",
      "created_at_cursor": "<string>",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "has_more": true,
  "next_cursor": "<string>",
  "url": "<string>"
}

Authorizations

Authorization
string
header
required

Incluí tu API key en el header Authorization con el prefijo Bearer.

Query Parameters

cursor
string

Valor de next_cursor recibido en la respuesta anterior

limit
integer
default:50

Cantidad máxima de resultados por respuesta

Required range: 1 <= x <= 100
query
string

Texto de búsqueda por cliente, número de cobranza o método de pago

status
enum<string>
default:active

Estado de la cobranza

Available options:
active,
voided,
all
date_from
string<date>

Fecha inicial en formato YYYY-MM-DD

date_to
string<date>

Fecha final en formato YYYY-MM-DD

Response

Cobranzas obtenidas exitosamente

request_id
string
required
data
object[]
required
has_more
boolean
required
next_cursor
string | null
required
object
enum<string>
required

List-envelope discriminator.

Available options:
list
url
string
required

Requested list path.